package cloudflare

// initializes logging and command line options

import (
	"go.wit.com/log"
)

var INFO log.LogFlag
var CURL log.LogFlag
var ZONE log.LogFlag

func init() {
	INFO.B = true
	INFO.Name = "INFO"
	INFO.Subsystem = "cloudflare"
	INFO.Short = "gui cf"
	INFO.Desc = "general info"
	INFO.Register()

	CURL.B = true
	CURL.Name = "CURL"
	CURL.Subsystem = "cloudflare"
	CURL.Short = "gui cf"
	CURL.Desc = "curl interactions()"
	CURL.Register()

	ZONE.B = true
	ZONE.Name = "ZONE"
	ZONE.Subsystem = "cloudflare"
	ZONE.Short = "gui cf"
	ZONE.Desc = "zone details"
	ZONE.Register()
}
